#!/usr/bin/perl

########################################
# ./include.pl file1 file2
#
# will include file2 content (text) into file1 
# first line of file2 is a file1 line used to define where the text will be included 
#
########################################

use File::Slurp ;

my @lines = read_file(@ARGV[0]) ;
my @lines2 = read_file(@ARGV[1]) ;

my( $index )= grep { @lines[$_] eq @lines2[0]} 0..$#lines;

if ($index > 0) {
	splice(@lines,$index,1,@lines2);
	write_file(@ARGV[0], @lines );
}


